Package org.apache.ignite.internal.processors.rest.request

## Class GridRestWarmUpRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestNodeStateBeforeStartRequest
    - - org.apache.ignite.internal.processors.rest.request.GridRestWarmUpRequest

    public class GridRestWarmUpRequest
    extends GridRestNodeStateBeforeStartRequest

Grid warm-up request.

### Constructor Summary

Constructors
`GridRestWarmUpRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `stopWarmUp()` Return `true` to stop warm-up.
`GridRestWarmUpRequest` `stopWarmUp​(boolean stopWarmUp)` Set need to stop warm-up.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, certificates, certificates, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, userAttributes, userAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestWarmUpRequest

    public GridRestWarmUpRequest()

### Method Detail

#### stopWarmUp

    public boolean stopWarmUp()

Return `true` to stop warm-up.

Returns:
  `true` to stop warm-up.

#### stopWarmUp

    public GridRestWarmUpRequest stopWarmUp​(boolean stopWarmUp)

Set need to stop warm-up.

Parameters:
  `stopWarmUp` - `true` to stop warm-up.
Returns:
  `this` instance.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestNodeStateBeforeStartRequest`